<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":1,"i2":1,"i3":2,"i4":4,"i5":2,"i6":2,"i7":2,"i8":1,"i9":2,"i10":1,"i11":2,"i12":2,"i13":2,"i14":2,"i15":2,"i16":1,"i17":2,"i18":2,"i19":1,"i20":2,"i21":2,"i22":2,"i23":2,"i24":2,"i25":2,"i26":1,"i27":2,"i28":2,"i29":2,"i30":2,"i31":4,"i32":8};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"],8:["t4","Exception Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Enum Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Exception Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/transformer/BaseDtoTransformer.html" title="interface in com.abn.recipe.recipeservice.transformer">BaseDtoTransformer</a>&lt;<a href="com/abn/recipe/recipeservice/transformer/BaseDtoTransformer.html" title="type parameter in BaseDtoTransformer">D</a> extends <a href="com/abn/recipe/recipeservice/dto/BaseEntityDto.html" title="class in com.abn.recipe.recipeservice.dto">BaseEntityDto</a>,&#8203;<a href="com/abn/recipe/recipeservice/transformer/BaseDtoTransformer.html" title="type parameter in BaseDtoTransformer">E</a> extends <a href="com/abn/recipe/recipeservice/entity/BaseEntity.html" title="interface in com.abn.recipe.recipeservice.entity">BaseEntity</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Blueprint for transformation operations</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/entity/BaseEntity.html" title="interface in com.abn.recipe.recipeservice.entity">BaseEntity</a></td>
<th class="colLast" scope="row">
<div class="block">Base entity contract, all entities must abide to this contract</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/BaseEntityDto.html" title="class in com.abn.recipe.recipeservice.dto">BaseEntityDto</a></td>
<th class="colLast" scope="row">
<div class="block">Base entity data transfer object</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a></td>
<th class="colLast" scope="row">
<div class="block">Enumeration for various Validation Errors being thrown</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a></td>
<th class="colLast" scope="row">
<div class="block">Entity Class for holding state of Ingredients</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/controller/IngredientsController.html" title="class in com.abn.recipe.recipeservice.controller">IngredientsController</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">IngredientsDto</a></td>
<th class="colLast" scope="row">
<div class="block">Data Transfer Object to hold state of Ingredients record</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/IngredientService.html" title="interface in com.abn.recipe.recipeservice.service">IngredientService</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/IngredientServiceImpl.html" title="class in com.abn.recipe.recipeservice.service">IngredientServiceImpl</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dao/IngredientsRepository.html" title="interface in com.abn.recipe.recipeservice.dao">IngredientsRepository</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/PagedResultResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">PagedResultResponseDto</a>&lt;<a href="com/abn/recipe/recipeservice/dto/PagedResultResponseDto.html" title="type parameter in PagedResultResponseDto">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Standard Dto of providing response in Paginated format.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/PageRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">PageRequestDto</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></td>
<th class="colLast" scope="row">
<div class="block">Entity Class for holding state of Recipes</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/controller/RecipeController.html" title="class in com.abn.recipe.recipeservice.controller">RecipeController</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a></td>
<th class="colLast" scope="row">
<div class="block">Data Transfer Object to hold state of Recipe record</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dao/RecipeRepository.html" title="interface in com.abn.recipe.recipeservice.dao">RecipeRepository</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeSearchIntegrationTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/RecipeSearchRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeSearchRequestDto</a></td>
<th class="colLast" scope="row">
<div class="block">Search Request DTO</div>
</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/RecipeService.html" title="interface in com.abn.recipe.recipeservice.service">RecipeService</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/RecipeServiceApplication.html" title="class in com.abn.recipe.recipeservice">RecipeServiceApplication</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/RecipeServiceImpl.html" title="class in com.abn.recipe.recipeservice.service">RecipeServiceImpl</a></td>
<th class="colLast" scope="row">
<div class="block">This class provides business implementation for all Recipe Operations</div>
</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/RecipeServiceImplTest.html" title="class in com.abn.recipe.recipeservice.service">RecipeServiceImplTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/integration/RecipeServiceIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeServiceIntegrationTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a></td>
<th class="colLast" scope="row">
<div class="block">Data Transfer Object for storing the state of Recipe Pagination Response Data</div>
</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/RecipeSpecificationBuilder.html" title="class in com.abn.recipe.recipeservice.service">RecipeSpecificationBuilder</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/transformer/RecipeTransformer.html" title="interface in com.abn.recipe.recipeservice.transformer">RecipeTransformer</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/transformer/RecipeTransformerImpl.html" title="class in com.abn.recipe.recipeservice.transformer">RecipeTransformerImpl</a></td>
<th class="colLast" scope="row">
<div class="block">Transformer Implementation to transform DTO to Entity and vice-versa</div>
</th>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/service/RecipeTransformerImplTest.html" title="class in com.abn.recipe.recipeservice.service">RecipeTransformerImplTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/controller/RestControllerExceptionHandlerAdvice.html" title="class in com.abn.recipe.recipeservice.controller">RestControllerExceptionHandlerAdvice</a></td>
<th class="colLast" scope="row">
<div class="block">Rest controller Advice to gracefully handle all Exceptions</div>
</th>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;<a href="com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="type parameter in ServiceResponseDto">T</a> extends java.io.Serializable&gt;</td>
<th class="colLast" scope="row">
<div class="block">Standard Service Response Wrapper for all endpoint operations</div>
</th>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/dto/ServiceResult.html" title="enum in com.abn.recipe.recipeservice.dto">ServiceResult</a></td>
<th class="colLast" scope="row">
<div class="block">Service Result Enum, to indicate Status of Request</div>
</th>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><a href="com/abn/recipe/recipeservice/exception/ValidationException.html" title="class in com.abn.recipe.recipeservice.exception">ValidationException</a></td>
<th class="colLast" scope="row">
<div class="block">Custom Exception, thrown in case if any invalid input is received</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
